Open Lighting Architecture: ola::plugin::usbpro::UltraDMXProWidget Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbpro::UltraDMXProWidget Class Reference
Inheritance diagram for ola::plugin::usbpro::UltraDMXProWidget:

## Public Member Functions
| UltraDMXProWidget (ola::io::ConnectedDescriptor *descriptor)
void | Stop ()
bool | SendDMX (const DmxBuffer &buffer)
bool | SendSecondaryDMX (const DmxBuffer &buffer)
Public Member Functions inherited from ola::plugin::usbpro::GenericUsbProWidget
| GenericUsbProWidget (ola::io::ConnectedDescriptor *descriptor)
void | SetDMXCallback (ola::Callback0< void > *callback)
void | GenericStop ()
bool | ChangeToReceiveMode (bool change_only)
const DmxBuffer & | FetchDMX () const
void | GetParameters (usb_pro_params_callback *callback)
bool | SetParameters (uint8_t break_time, uint8_t mab_time, uint8_t rate)
Public Member Functions inherited from ola::plugin::usbpro::BaseUsbProWidget
| BaseUsbProWidget (ola::io::ConnectedDescriptor *descriptor)
ola::io::ConnectedDescriptor * | GetDescriptor () const
void | DescriptorReady ()
bool | SendMessage (uint8_t label, const uint8_t *data, unsigned int length) const

## Additional Inherited Members
Static Public Member Functions inherited from ola::plugin::usbpro::BaseUsbProWidget
static ola::io::ConnectedDescriptor * | OpenDevice (const std::string &path)
Static Public Attributes inherited from ola::plugin::usbpro::GenericUsbProWidget
static const uint8_t | RECEIVED_DMX_LABEL = 5
Static Public Attributes inherited from ola::plugin::usbpro::BaseUsbProWidget
static const uint8_t | DEVICE_LABEL = 78
static const uint8_t | DMX_LABEL = 6
static const uint8_t | GET_PARAMS = 3
static const uint8_t | HARDWARE_VERSION_LABEL = 14
static const uint8_t | MANUFACTURER_LABEL = 77
static const uint8_t | SERIAL_LABEL = 10
Protected Member Functions inherited from ola::plugin::usbpro::GenericUsbProWidget
virtual void | HandleMessage (uint8_t label, const uint8_t *data, unsigned int length)
void | HandleDMX (const uint8_t *data, unsigned int length)

## Constructor & Destructor Documentation

## ◆ UltraDMXProWidget()

ola::plugin::usbpro::UltraDMXProWidget::UltraDMXProWidget | ( | ola::io::ConnectedDescriptor * | descriptor | ) |
| explicit

UltraDMXProWidget Constructor

## Member Function Documentation

## ◆ SendDMX()

bool ola::plugin::usbpro::UltraDMXProWidget::SendDMX | ( | const DmxBuffer & | buffer | ) |
| virtual

Reimplemented from ola::plugin::usbpro::GenericUsbProWidget.

## ◆ Stop()

void ola::plugin::usbpro::UltraDMXProWidget::Stop | ( |  | ) |
| inlinevirtual

Implements ola::plugin::usbpro::SerialWidgetInterface.

The documentation for this class was generated from the following files:

- plugins/usbpro/UltraDMXProWidget.h
- plugins/usbpro/UltraDMXProWidget.cpp